# Uses of Interface
org.springframework.ui.context.Theme

Packages that use Theme
Package
Description
org.springframework.ui.context
Contains classes defining the application context subinterface for UI applications.
org.springframework.ui.context.support
Classes supporting the org.springframework.ui.context package.

## Uses of Theme in org.springframework.ui.context

Methods in org.springframework.ui.context that return Theme
Modifier and Type
Method
Description
`Theme`
ThemeSource.`getTheme(String themeName)`
Deprecated.
Return the Theme instance for the given theme name.

## Uses of Theme in org.springframework.ui.context.support

Classes in org.springframework.ui.context.support that implement Theme
Modifier and Type
Class
Description
`class`
`SimpleTheme`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Methods in org.springframework.ui.context.support that return Theme
Modifier and Type
Method
Description
`Theme`
DelegatingThemeSource.`getTheme(String themeName)`
Deprecated.
`Theme`
ResourceBundleThemeSource.`getTheme(String themeName)`
Deprecated.
This implementation returns a SimpleTheme instance, holding a ResourceBundle-based MessageSource whose basename corresponds to the given theme name (prefixed by the configured "basenamePrefix").
Methods in org.springframework.ui.context.support with parameters of type Theme
Modifier and Type
Method
Description
`protected void`
ResourceBundleThemeSource.`initParent(Theme theme)`
Deprecated.
Initialize the MessageSource of the given theme with the one from the corresponding parent of this ThemeSource.